#!/usr/bin/perl -w
#
# WardenClientConf.pm
#
# Copyright (C) 2011-2012 Cesnet z.s.p.o
#
# Use of this source is governed by a BSD-style license, see LICENSE file.  

package WardenClientConf;

use strict;

our $VERSION = "2.0";

#-------------------------------------------------------------------------------
# loadConf - load variables from configuration file
#-------------------------------------------------------------------------------
sub loadConf
{
  my $conf_file = shift;

  # preset of default variables
  our $URI = undef;
  our $SSL_KEY_FILE = undef;
  our $SSL_CERT_FILE = undef;
  our $SSL_CA_FILE = undef;

  # read config file
  if ( ! open( TMP, $conf_file) ) {
    die("Can't read config file '$conf_file': $!\n");
  }
  close TMP;

  # load set variables by user
  if ( !do $conf_file ) {
    die("Errors in config file '$conf_file': $@");
  }

  return ($URI, $SSL_KEY_FILE, $SSL_CERT_FILE, $SSL_CA_FILE);

} # End of loadConf
1;
