#!/usr/bin/perl
#
# wardenWatchdog.pl
#
# Copyright (C) 2011-2014 Cesnet z.s.p.o
#
# Use of this source is governed by a BSD-style license, see LICENSE file.

use strict;
use warnings;

use Getopt::Long;
use FindBin qw($RealBin $RealScript);
FindBin::again();
use lib "$RealBin/../lib";
use WardenWatchdog;


#-------------------------------------------------------------------------------
# help
#
# Just print help and exit.
#
# Input: -
#
# Output: -
#
# Return:
#   On Success (1)
#-------------------------------------------------------------------------------
sub help
{
  my $help ="$RealScript -c <conf_file_with_path> -i <interval>
-c      path and name of a file with configuration
-i      interval in days from now back to the past

EXAMPLE: ./wardenWatchdog.pl -c /path/WardenWatchdog.conf -i 7
";
  print $help;
  return 1;
}

my ($help, $config, $interval);
if (@ARGV < 3  || defined($help) || !GetOptions('help|?|h' => \$help, 'c|conf=s' => \$config, 'i|interval=i' => \$interval)) {
  help();
}
else {
  my ($rc,$err) = WardenWatchdog::run($config,$interval);
  if(!$rc) {
    print "WardenWatchdog error: $err";
  }
}

1;
